Subject: Re: bug#10771: TAB completion for info-display-manual

From: Chong Yidong <[email-masked]>
Date: Sun, 02 Dec 2012 14:44:45 +0800

Eli Zaretskii <[email-masked]> writes:

> Thanks, but this is wrong: it should offer completion only on Info
> buffers that already exist in the current session.  Completion on
> manuals installed on the system is perhaps for "C-u C-h i" or some
> variation of it.
>
> The purpose of this command is to assist with switching between
> manuals that are already loaded, not in adding others.

I disagree; completion should be provided for any value that the command
accepts as an argument, so Juri's patch does the right thing.  I've
committed it to trunk (with a minor fix).

(If one wishes to get fancy, I suppose one could define a completion
category override to cause completion to favor manuals in existing Info
buffers.  Not sure if that would produce confusing results, though.)